import BooleanUtil from "./BooleanUtil";

describe("BooleanUtil", () => {
  it("isTrue", () => {
    expect(BooleanUtil.isTrue("true")).toEqual(true);
    expect(BooleanUtil.isTrue(true)).toEqual(true);

    expect(BooleanUtil.isTrue("")).toEqual(false);
    expect(BooleanUtil.isTrue()).toEqual(false);
    expect(BooleanUtil.isTrue("false")).toEqual(false);
  });

  it("isFalse", () => {
    expect(BooleanUtil.isFalse("false")).toEqual(true);
    expect(BooleanUtil.isFalse(false)).toEqual(true);

    expect(BooleanUtil.isFalse("")).toEqual(false);
    expect(BooleanUtil.isFalse()).toEqual(false);
    expect(BooleanUtil.isFalse("true")).toEqual(false);
  });
});
